IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The booking object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this booking is defined in

site_iduuid | null
sites.id

Identifier of the site this booking was made on

widget_iduuid | null
widgets.id

Identifier of the widget this booking was made in

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

confirmed_attimestamp with time zone | null

Timestamp at which the booking was confirmed

currencyCurrency

Base currency of the booking

display_currencyCurrency

Currency used to display prices to the customer

exchange_ratereal

Exchange rate used to convert the booking currency to the display currency

ftstsvector
methodtext

Method used to make the booking, request or book

occupancyRecord<uuid, number>

Occupancy per capacity group.

referencetext

Publicly visible reference of the booking

secrettext

Secret reference of the booking

silentboolean

Whether the booking was made without automatically sending a confirmation email

The booking object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "site_id": "00000000-0000-0000-0000-000000000000",
  "widget_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:24:09.754Z",
  "updated_at": "2026-03-12T05:24:09.754Z",
  "confirmed_at": "2026-03-12T05:24:09.754Z",
  "currency": "USD",
  "display_currency": "USD",
  "exchange_rate": 0,
  "method": "request",
  "occupancy": {
    "00000000-0000-0000-0000-000000000000": 1
  },
  "reference": "",
  "secret": "extensions.uuid_generate_v4()",
  "silent": false
}

List bookings

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this booking is defined in

site_idFilter<uuid | null>
sites.id

Identifier of the site this booking was made on

widget_idFilter<uuid | null>
widgets.id

Identifier of the widget this booking was made in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

confirmed_atFilter<timestamp with time zone | null>

Timestamp at which the booking was confirmed

currencyFilter<Currency>

Base currency of the booking

display_currencyFilter<Currency>

Currency used to display prices to the customer

exchange_rateFilter<real>

Exchange rate used to convert the booking currency to the display currency

ftsFilter<tsvector>
methodFilter<text>

Method used to make the booking, request or book

occupancyFilter<Record<uuid, number>>

Occupancy per capacity group.

referenceFilter<text>

Publicly visible reference of the booking

secretFilter<text>

Secret reference of the booking

silentFilter<boolean>

Whether the booking was made without automatically sending a confirmation email

Responses

200

A list of bookings with the selected columns

206

Partial Content

GET /bookings
curl -X GET "https://api.bookingmood.com/v1/bookings?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Delete bookings

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this booking is defined in

site_idFilter<uuid | null>
sites.id

Identifier of the site this booking was made on

widget_idFilter<uuid | null>
widgets.id

Identifier of the widget this booking was made in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

confirmed_atFilter<timestamp with time zone | null>

Timestamp at which the booking was confirmed

currencyFilter<Currency>

Base currency of the booking

display_currencyFilter<Currency>

Currency used to display prices to the customer

exchange_rateFilter<real>

Exchange rate used to convert the booking currency to the display currency

ftsFilter<tsvector>
methodFilter<text>

Method used to make the booking, request or book

occupancyFilter<Record<uuid, number>>

Occupancy per capacity group.

referenceFilter<text>

Publicly visible reference of the booking

secretFilter<text>

Secret reference of the booking

silentFilter<boolean>

Whether the booking was made without automatically sending a confirmation email

Responses

204

The deleted bookings with the selected columns

DELETE /bookings
curl -X DELETE "https://api.bookingmood.com/v1/bookings" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update bookings

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this booking is defined in

site_idFilter<uuid | null>
sites.id

Identifier of the site this booking was made on

widget_idFilter<uuid | null>
widgets.id

Identifier of the widget this booking was made in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

confirmed_atFilter<timestamp with time zone | null>

Timestamp at which the booking was confirmed

currencyFilter<Currency>

Base currency of the booking

display_currencyFilter<Currency>

Currency used to display prices to the customer

exchange_rateFilter<real>

Exchange rate used to convert the booking currency to the display currency

ftsFilter<tsvector>
methodFilter<text>

Method used to make the booking, request or book

occupancyFilter<Record<uuid, number>>

Occupancy per capacity group.

referenceFilter<text>

Publicly visible reference of the booking

secretFilter<text>

Secret reference of the booking

silentFilter<boolean>

Whether the booking was made without automatically sending a confirmation email

Body

Partial<Booking>

Responses

204

The updated bookings with the selected columns

PATCH /bookings
curl -X PATCH "https://api.bookingmood.com/v1/bookings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'